## org.apache.batik.ext.awt.image
Class SVGComposite.AlphaPreCompositeContext_INT_PACK

    java.lang.Object
      org.apache.batik.ext.awt.image.SVGComposite.AlphaPreCompositeContext
          org.apache.batik.ext.awt.image.SVGComposite.AlphaPreCompositeContext_INT_PACK

All Implemented Interfaces:
  java.awt.CompositeContext

Direct Known Subclasses:
  SVGComposite.ArithCompositeContext_INT_PACK, SVGComposite.ArithCompositeContext_INT_PACK_LUT, SVGComposite.AtopCompositeContext_INT_PACK, SVGComposite.DarkenCompositeContext_INT_PACK, SVGComposite.InCompositeContext_INT_PACK, SVGComposite.LightenCompositeContext_INT_PACK, SVGComposite.MultiplyCompositeContext_INT_PACK, SVGComposite.OutCompositeContext_INT_PACK, SVGComposite.OverCompositeContext_INT_PACK, SVGComposite.OverCompositeContext_INT_PACK_NA, SVGComposite.OverCompositeContext_INT_PACK_UNPRE, SVGComposite.ScreenCompositeContext_INT_PACK, SVGComposite.XorCompositeContext_INT_PACK

Enclosing class:
  SVGComposite

public abstract static class SVGComposite.AlphaPreCompositeContext_INT_PACK
extends SVGComposite.AlphaPreCompositeContext

Method Summary
`protected abstract void` `precompose_INT_PACK(int width, int height, int[] srcPixels, int srcAdjust, int srcSp, int[] dstInPixels, int dstInAdjust, int dstInSp, int[] dstOutPixels, int dstOutAdjust, int dstOutSp)`
`protected void` `precompose(java.awt.image.Raster src, java.awt.image.Raster dstIn, java.awt.image.WritableRaster dstOut)`

Methods inherited from class org.apache.batik.ext.awt.image.SVGComposite.AlphaPreCompositeContext
`compose, dispose`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### precompose_INT_PACK

    protected abstract void precompose_INT_PACK(int width,
                                                int height,
                                                int[] srcPixels,
                                                int srcAdjust,
                                                int srcSp,
                                                int[] dstInPixels,
                                                int dstInAdjust,
                                                int dstInSp,
                                                int[] dstOutPixels,
                                                int dstOutAdjust,
                                                int dstOutSp)

### precompose

    protected void precompose(java.awt.image.Raster src,
                              java.awt.image.Raster dstIn,
                              java.awt.image.WritableRaster dstOut)

  Specified by:
    `precompose` in class `SVGComposite.AlphaPreCompositeContext`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.